package ch.polgrabia.demos.server;

import io.vertx.core.Vertx;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.Producer;

import java.util.Properties;

public class WebsocketServerApp {
    public static void main(String[] args) {
        Properties props = new Properties();
        props.put("bootstrap.servers", "localhost:9092");
        props.put("linger.ms", 1);
        props.put("key.serializer", "org.apache.kafka.common.serialization.StringSerializer");
        props.put("value.serializer", "org.apache.kafka.common.serialization.ByteArraySerializer");

        Producer<String, byte[]> kafkaProducer = new KafkaProducer<>(props);


        var vertx = Vertx.vertx();
        WebsocketServerChatVerticle websocketServerChatVerticle = new WebsocketServerChatVerticle(
                8080,
                "localhost",
                null); // kafka producer
        vertx.deployVerticle(websocketServerChatVerticle);
        websocketServerChatVerticle
                .waitUntilFinished()
                .join();
        vertx.close();
        kafkaProducer.close();
    }
}